Package org.eclipse.mat.ui.internal.views

# Class SnapshotHistoryView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.mat.ui.internal.views.SnapshotHistoryView

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `SnapshotHistoryService.IChangeListener`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `IWorkbenchPartOrientation`

public class SnapshotHistoryView extends ViewPart implements SnapshotHistoryService.IChangeListener

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`SnapshotHistoryView()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPartControl(Composite parent)`
`void`
`dispose()`
`<T> T`
`getAdapter(Class<T> required)`
`void`
`onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)`
`void`
`setFocus()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Constructor Details

### SnapshotHistoryView

public SnapshotHistoryView()

## Method Details

### createPartControl

public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

### getAdapter

public <T> T getAdapter(Class<T> required)

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `WorkbenchPart`

### onFileHistoryChange

public void onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)

Specified by:
  `onFileHistoryChange` in interface `SnapshotHistoryService.IChangeListener`